"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.handler = exports.builder = exports.describe = exports.command = void 0;

var _daoArg = _interopRequireDefault(require("../utils/daoArg"));

var _aclExecHandler = _interopRequireDefault(require("./utils/aclExecHandler"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// Note: we usually order these values as entity, proxy, role but this order fits
//       better with other CLI commands
const command = 'create <dao> <app> <role> <entity> <manager>';
exports.command = command;
const describe = "Create a permission in a DAO (only usable for permissions that haven't been set)";
exports.describe = describe;

const builder = function (yargs) {
  return (0, _daoArg.default)(yargs);
};

exports.builder = builder;

const handler = async function ({
  reporter,
  network,
  gasPrice,
  apm,
  dao,
  app,
  role,
  entity,
  manager,
  wsProvider,
  silent,
  debug
}) {
  const method = 'createPermission';
  const params = [entity, app, role, manager];
  return (0, _aclExecHandler.default)(dao, method, params, {
    reporter,
    gasPrice,
    apm,
    network,
    wsProvider,
    role,
    silent,
    debug
  });
};

exports.handler = handler;
//# sourceMappingURL=create.js.map