"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.handler = exports.builder = exports.describe = exports.command = void 0;

var _daoArg = _interopRequireDefault(require("../utils/daoArg"));

var _aclExecHandler = _interopRequireDefault(require("./utils/aclExecHandler"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// Note: we usually order these values as entity, proxy, role but this order fits
//       better with other CLI commands
const command = 'remove-manager <dao> <app> <role>';
exports.command = command;
const describe = 'Remove permission manager for a permission (can be recreated)';
exports.describe = describe;

const builder = function (yargs) {
  return (0, _daoArg.default)(yargs);
};

exports.builder = builder;

const handler = async function ({
  reporter,
  dao,
  app,
  role,
  network,
  wsProvider,
  apm,
  gasPrice
}) {
  const method = 'removePermissionManager';
  const params = [app, role];
  return (0, _aclExecHandler.default)(dao, method, params, {
    reporter,
    gasPrice,
    apm,
    network,
    wsProvider,
    role
  });
};

exports.handler = handler;
//# sourceMappingURL=remove-manager.js.map