"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.handler = exports.builder = exports.describe = exports.command = void 0;

var _daoArg = _interopRequireDefault(require("../utils/daoArg"));

var _aclExecHandler = _interopRequireDefault(require("./utils/aclExecHandler"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// Note: we usually order these values as entity, proxy, role but this order fits
//       better with other CLI commands
const command = 'set-manager <dao> <app> <role> <new-manager>';
exports.command = command;
const describe = 'Set the permission manager for a permission (only the current permission manager can do it)';
exports.describe = describe;

const builder = function (yargs) {
  return (0, _daoArg.default)(yargs);
};

exports.builder = builder;

const handler = async function ({
  reporter,
  dao,
  app,
  role,
  newManager,
  network,
  wsProvider,
  apm,
  gasPrice
}) {
  const method = 'setPermissionManager';
  const params = [newManager, app, role];
  return (0, _aclExecHandler.default)(dao, method, params, {
    reporter,
    gasPrice,
    apm,
    network,
    wsProvider,
    role
  });
};

exports.handler = handler;
//# sourceMappingURL=set-manager.js.map