"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;

var _web3Utils = require("web3-utils");

var _toolkit = require("@aragon/toolkit");

var _execHandler = require("../../utils/execHandler");

var _web3Fallback = require("../../../../helpers/web3-fallback");

//
async function _default(dao, method, params, {
  reporter,
  apm,
  network,
  gasPrice,
  wsProvider,
  role,
  silent,
  debug
}) {
  const web3 = await (0, _web3Fallback.ensureWeb3)(network);
  const aclAddress = await (0, _toolkit.getAclAddress)(await (0, _toolkit.resolveAddressOrEnsDomain)(dao, web3, apm.ensRegistryAddress), web3);
  const processedParams = role.startsWith('0x') ? params : params.map(param => param === role ? (0, _web3Utils.keccak256)(role) : param);
  return (0, _execHandler.handler)({
    dao,
    app: aclAddress,
    method,
    params: processedParams,
    reporter,
    gasPrice,
    apm,
    web3,
    wsProvider,
    silent,
    debug
  });
}
//# sourceMappingURL=aclExecHandler.js.map