"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.describe = exports.command = exports.builder = void 0;

var commands = _interopRequireWildcard(require("./ipfs_cmds"));

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const builder = yargs => yargs // the order matters for --help
.command(commands.install).command(commands.start).command(commands.stop).command(commands.status).command(commands.view).command(commands.propagate).command(commands.uninstall).usage(`Usage: aragon ipfs <command> [options]`).demandCommand(1, 'You need to specify a command');

exports.builder = builder;
const command = 'ipfs <command>';
exports.command = command;
const describe = 'Manage an IPFS node';
exports.describe = describe;
//# sourceMappingURL=ipfs.js.map