"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _truffleFlattener = _interopRequireDefault(require("truffle-flattener"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = async sourcePaths => {
  try {
    return (0, _truffleFlattener.default)(sourcePaths);
  } catch (error) {
    const cycleDependencyErrorDetected = /cycle.+dependency/.test(error.message);

    if (cycleDependencyErrorDetected) {
      throw Error(`Cyclic dependencies in .sol files are not supported.
'truffle-flattener' requires all cyclic dependencies to be resolved before proceeding.
To do so, you can:
- Remove unnecessary import statements, if any
- Abstract the interface of imported contracts in a separate file
- Merge multiple contracts in a single .sol file

Original error: ${error}
`);
    } else {
      throw error;
    }
  }
};

exports.default = _default;
//# sourceMappingURL=flattenCode.js.map