"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getTruffleConfig = void 0;

var _fs = _interopRequireDefault(require("fs"));

var _util = require("../util");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//
const getTruffleConfig = () => {
  try {
    if (_fs.default.existsSync(`${(0, _util.findProjectRoot)()}/truffle.js`)) {
      const truffleConfig = require(`${(0, _util.findProjectRoot)()}/truffle`);

      return truffleConfig;
    }

    if (_fs.default.existsSync(`${(0, _util.findProjectRoot)()}/truffle-config.js`)) {
      const truffleConfig = require(`${(0, _util.findProjectRoot)()}/truffle-config.js`);

      return truffleConfig;
    }
  } catch (err) {
    console.log(err); // This means you are running init

    return undefined;
  }

  throw new Error(`Didn't find any truffle.js file`);
};

exports.getTruffleConfig = getTruffleConfig;
//# sourceMappingURL=truffle-config.js.map