"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _flattenCode = _interopRequireDefault(require("../helpers/flattenCode"));

var _truffleConfig = require("./truffle-config");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = async contractArtifacts => {
  const {
    contractName,
    sourcePath,
    updatedAt: compiledAt,
    compiler
  } = contractArtifacts;
  const solcConfig = (0, _truffleConfig.getTruffleConfig)().solc;
  compiler.optimizer = solcConfig ? solcConfig.optimizer : {
    enabled: false
  };
  const flattenedCode = await (0, _flattenCode.default)([sourcePath]);
  return {
    contractName,
    compiledAt,
    compiler,
    flattenedCode
  };
};

exports.default = _default;
//# sourceMappingURL=truffle-deploy-artifacts.js.map