"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ensureWeb3 = void 0;

var _web = _interopRequireDefault(require("web3"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const ensureWeb3 = async network => {
  let web3;

  try {
    web3 = new _web.default(network.provider);
    const connected = await web3.eth.net.isListening();
    if (connected) return web3;
  } catch (err) {
    throw new Error(`Web3 cannot connect using the network provider.

Make sure 'aragon devchain' or Frame are running, and your provider settings are correct.

For more info you can check the Truffle docs on network configuration: https://truffleframework.com/docs/truffle/reference/configuration#networks`);
  }
};

exports.ensureWeb3 = ensureWeb3;
//# sourceMappingURL=web3-fallback.js.map