"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.downloadClient = downloadClient;

var _path = _interopRequireDefault(require("path"));

var _fsExtra = require("fs-extra");

var _os = _interopRequireDefault(require("os"));

var _util = require("util");

var _package = _interopRequireDefault(require("../../../package.json"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const clone = (0, _util.promisify)(require('git-clone'));

async function downloadClient({
  ctx,
  task,
  clientRepo = _package.default.aragon.clientRepo,
  clientVersion
}) {
  const CLIENT_PATH = `${_os.default.homedir()}/.aragon/client-${clientVersion}`;
  ctx.clientPath = CLIENT_PATH; // Make sure we haven't already downloaded the Client

  if ((0, _fsExtra.existsSync)(_path.default.resolve(CLIENT_PATH))) {
    task.skip('Client already downloaded');
    ctx.clientAvailable = true;
    return;
  } // Ensure folder exists


  (0, _fsExtra.ensureDirSync)(CLIENT_PATH); // Clone client

  return clone(clientRepo, CLIENT_PATH, {
    checkout: clientVersion
  });
}
//# sourceMappingURL=download-client.js.map