"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.fetchClient = fetchClient;

var _path = _interopRequireDefault(require("path"));

var _fsExtra = require("fs-extra");

var _os = _interopRequireDefault(require("os"));

var _toolkit = require("@aragon/toolkit");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

async function fetchClient(ctx, task, clientVersion) {
  ctx.clientFetch = true;
  ctx.clientAvailable = true;
  const CLIENT_PATH = `${_os.default.homedir()}/.aragon/client-${clientVersion}`;
  ctx.clientPath = CLIENT_PATH; // Make sure we haven't already downloaded the client

  if ((0, _fsExtra.existsSync)(_path.default.resolve(CLIENT_PATH))) {
    task.skip('Client already fetched');
    return;
  } // Get prebuild client


  const files = _path.default.resolve((0, _toolkit.getIpfsCacheFiles)(), '@aragon/aragon'); // Ensure folder exists


  const BUILD_PATH = _path.default.join(CLIENT_PATH, 'build');

  (0, _fsExtra.ensureDirSync)(BUILD_PATH); // Copy files

  await (0, _fsExtra.copy)(files, BUILD_PATH);
}
//# sourceMappingURL=fetch-client.js.map