"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.openClient = openClient;

var _open = _interopRequireDefault(require("open"));

var _toolkit = require("@aragon/toolkit");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

async function openClient(ctx, clientPort) {
  // Check until the client is served
  const checkClientReady = () => {
    setTimeout(async () => {
      const portTaken = await (0, _toolkit.isPortTaken)(clientPort);

      if (portTaken) {
        (0, _open.default)(`http://localhost:${clientPort}/#/${ctx.daoAddress ? ctx.daoAddress : ''}`);
      } else {
        checkClientReady();
      }
    }, 250);
  };

  checkClientReady();
}
//# sourceMappingURL=open-client.js.map