"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.startClient = startClient;

var _execa = _interopRequireDefault(require("execa"));

var _path = _interopRequireDefault(require("path"));

var _fsExtra = _interopRequireDefault(require("fs-extra"));

var _toolkit = require("@aragon/toolkit");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

async function startClient(ctx, clientPort, clientPath) {
  if (await (0, _toolkit.isPortTaken)(clientPort)) {
    ctx.portOpen = true;
    return;
  }

  const packageRoot = (0, _toolkit.getPackageRoot)(__dirname);
  const bin = (0, _toolkit.getBinary)('http-server', packageRoot);
  const rootPath = clientPath || ctx.clientPath;
  const startArguments = {
    cwd: (await _fsExtra.default.pathExists(_path.default.join(rootPath, 'build'))) ? _path.default.join(rootPath, 'build') : _path.default.join(rootPath, 'public')
  }; // TODO: Use -o option to open url. Will remove open dependency

  (0, _execa.default)(bin, ['-p', clientPort], startArguments).catch(err => {
    throw new Error(err);
  });
}
//# sourceMappingURL=start-client.js.map