"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _ReporterIcons = require("./ReporterIcons");

class ConsoleReporter {
  constructor(options) {
    const defaultOptions = {
      silent: false,
      debug: false
    };
    this.opts = Object.assign({}, defaultOptions, options);
  }

  message(...messages) {
    if (this.opts.silent) return;
    console.log(...messages);
  }

  debug(...messages) {
    if (!this.opts.debug) return;
    this.message(_ReporterIcons.DEBUG_ICON, ...messages);
  }

  info(...messages) {
    this.message(_ReporterIcons.INFO_ICON, ...messages);
  }

  warning(...messages) {
    this.message(_ReporterIcons.WARNING_ICON, ...messages);
  }

  error(...messages) {
    this.message(_ReporterIcons.ERROR_ICON, ...messages);
  }

  success(...messages) {
    this.message(_ReporterIcons.SUCCESS_ICON, ...messages);
  }

  newLine() {
    this.message();
  }

}

exports.default = ConsoleReporter;
//# sourceMappingURL=ConsoleReporter.js.map